%global dlrn_nvr tripleo-heat-templates-9.3.1.dev170-0.20190513171722.9995be9
%global dlrn 1
%define upstream_version 9.3.1.dev170
# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version: 9.3.1
Release: 0.20190513171738%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-heat-templates-9.3.1.dev170-0.20190513171722.9995be9-9995be9fd57f9f48816cc2fd8218039612969199.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=9995be9
Patch0001: 0001-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Disabling-horizon-plugins-we-don-t-s.patch
Patch0003: 0003-downstream-only-Keep-existing-Compute-hostname.patch
Patch0004: 0004-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0005: 0005-Default-to-docker.yaml-and-docker-ha.yaml.patch
Patch0006: 0006-Missing-docker.yaml-and-docker-ha.yaml-default-Downs.patch
Patch0007: 0007-Set-horizon-s-help_url-to-downstream-documentation.patch
Patch0008: 0008-downstream-only-Verify-nova-api-migration-finished-b.patch
Patch0009: 0009-DOWNSTREAM-ONLY-Deploy-openshift-enterprise-by-defau.patch
Patch0010: 0010-Revert-downstream-only-Fix-novajoin-nova-vendordata-.patch
Patch0011: 0011-Fix-novajoin-nova-vendordata-hieradata-keys.patch
Patch0012: 0012-Add-posibilities-to-set-default-timeouts-for-octavia.patch
Patch0013: 0013-Revert-downstream-only-Verify-nova-api-migration-fin.patch
Patch0014: 0014-Don-t-mount-data-folder.patch
Patch0015: 0015-Rework-the-generated-openshift-ansible-playbook.patch
Patch0016: 0016-Restart-openshift-master-services-after-stack-update.patch
Patch0017: 0017-Let-openshift-ansible-manage-openvswitch.patch
Patch0018: 0018-Revert-Force-rhsm-re-registration-during-upgrades.patch
Patch0019: 0019-downstream-only-Remove-docker.yaml-from-being-enable.patch
Patch0020: 0020-Make-heat-yaql-limits-configurable.patch
Patch0021: 0021-Fail-to-live-migration-if-instance-has-NUMA-topology.patch
Patch0022: 0022-Add-ANSIBLE_GATHER_TIMEOUT-60-to-ceph-ansible-run.patch
Patch0023: 0023-Fix-NovaNfs-role-parameter-precedence-in-conditions.patch
Patch0024: 0024-Add-mkhomedir-option-to-ipa-client-install.patch
Patch0025: 0025-Add-ability-to-specify-dns-search-domains.patch
Patch0026: 0026-Fix-IPA-client-when-doing-brownfield-deployment-of-i.patch
Patch0027: 0027-Fix-run-os-net-config.sh-to-use-ping6-for-IPv6-hostn.patch
Patch0028: 0028-Add-domain-and-no-ntp-options-to-ipaclient.patch
Patch0029: 0029-Revert-Revert-Force-rhsm-re-registration-during-upgr.patch
Patch0030: 0030-Make-krb-service-principal-metadata-per-Role.patch
Patch0031: 0031-Fix-service-auth-URL-in-Octavia.patch
Patch0032: 0032-Add-cinder-credentials-to-nova-conf.patch
Patch0033: 0033-Ensure-we-aren-t-running-some-dry-run-also-for-Pacem.patch
Patch0034: 0034-Fix-undefined-variable-python_interpreter.patch
Patch0035: 0035-Backport-miss-to-run-discovery-via-bootstrap_host_ex.patch
Patch0036: 0036-Re-enable-manila-dashboard.patch
Patch0037: 0037-Request-certificate-for-using-host-service-principal.patch
Patch0038: 0038-Fix-correct-network-for-nova-vnc.patch
Patch0039: 0039-Fix-log-owner-on-computes-during-overcloud-deploy-ru.patch
Patch0040: 0040-Only-request-neutron-certificate-from-neutron-dhcp-s.patch
Patch0041: 0041-Handle-openvswitch-meta-package-on-undercloud-upgrad.patch
Patch0042: 0042-Fix-NovaNfs-role-parameters.patch
Patch0043: 0043-Fix-issue-with-ipaclient.patch
Patch0047: 0047-Rocky-only-allow-SSH-from-any-source.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires:       ansible-pacemaker
Requires:       ansible-tripleo-ipsec
Requires:       ansible-role-container-registry
Requires:       python-paunch
Requires:       PyYAML
Requires:       python2-jinja2
Requires:       python2-six
Requires:       openstack-tripleo-common >= 7.1.0
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0047 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/%{name}
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Wed Jun 26 2019 Steve Linabery <slinaber@redhat.com> 9.3.1-0.20190513171738
- Rocky only - allow SSH from any source (rhbz#1723975)

* Wed Jun 19 2019 Steve Linabery <slinaber@redhat.com> 9.3.1-0.20190513171736.9995be9
- Fix issue with ipaclient (rhbz#1713756)

* Tue Jun 18 2019 Piotr Kopec <pkopec@redhat.com> 9.3.1-0.20190513171735.9995be9
- Fix NovaNfs role parameters (rhbz#1704640)

* Tue Jun 18 2019 Jose Luis Franco Arza <jfrancoa@redhat.com> 9.3.1-0.20190513171734.9995be9
- Handle openvswitch meta-package on undercloud upgrade. (rhbz#1703039)
- Only request neutron certificate from neutron dhcp service (rhbz#1718284)

* Fri Jun 14 2019 Martin Schuppert <mschuppert@redhat.com> 9.3.1-0.20190513171733.9995be9
- Fix log owner on computes during overcloud deploy runs (rhbz#1719667)
- Fix correct network for nova-vnc (rhbz#1719898)
- Request certificate for using host service principals (rhbz#1715167)

* Wed Jun 12 2019 Goutham Pacha Ravi <gouthampravi@gmail.com> 9.3.1-0.20190513171732.9995be9
- Re-enable manila dashboard (rhbz#1719050)

* Wed Jun 12 2019 Martin Schuppert <mschuppert@redhat.com> 9.3.1-0.20190513171731.9995be9
- Backport miss to run discovery via bootstrap_host_exec (rhbz#1700876)

* Mon Jun 10 2019 Ade Lee <alee@redhat.com> 9.3.1-0.20190513171730.9995be9
- Fix undefined variable python_interpreter (rhbz#1717169 rhbz#1713751)

* Fri Jun 07 2019 Emilien Macchi <emilien@redhat.com> 9.3.1-0.20190513171729.9995be9
- Ensure we aren't running some dry-run also for Pacemaker case (rhbz#1697507)

* Fri Jun 07 2019 Martin Schuppert <mschuppert@redhat.com> 9.3.1-0.20190513171728.9995be9
- Add cinder credentials to nova conf (rhbz#1691840)

* Wed Jun 05 2019 Carlos Goncalves <cgoncalves@redhat.com> 9.3.1-0.20190513171727.9995be9
- Fix service auth URL in Octavia (rhbz#1716801)

* Fri May 31 2019 Raildo Mascena <rmascena@redhat.com> 9.3.1-0.20190513171726.9995be9
- Make krb-service-principal metadata per-Role (rhbz#1691280)

* Thu May 30 2019 Jose Luis Franco Arza <jfrancoa@redhat.com> 9.3.1-0.20190513171725.9995be9
- Revert "Revert "Force rhsm re-registration during upgrades."" (rhbz#1658258)

* Wed May 29 2019 Harry Rybacki <hrybacki@redhat.com> 9.3.1-0.20190513171724.9995be9
- Add domain and no-ntp options to ipaclient (rhbz#1713756)
- Fix run-os-net-config.sh to use ping6 for IPv6 hostnames (rhbz#1714655)
- Fix IPA client when doing brownfield deployment of internal TLS (rhbz#1713751)
- Add ability to specify dns search domains (rhbz#1713763)
- Add mkhomedir option to ipa-client-install (rhbz#1713754)

* Tue May 28 2019 Thierry Vignaud <tvignaud@redhat.com> 9.3.1-0.20190513171723.9995be9
- Rebase over RDO

* Thu May 23 2019 Piotr Kopec <pkopec@redhat.com> 9.3.1-0.20190314162770.d0a6cb1
- Fix NovaNfs role parameter precedence in conditions (rhbz#1710850)

* Tue May 14 2019 Kamil Sambor <ksambor@redhat.com> 9.3.1-0.20190314162769.d0a6cb1
- Remove OVNTunnelEncapType (rhbz#1709670)

* Thu May 09 2019 Kamil Sambor <ksambor@redhat.com> 9.3.1-0.20190314162768.d0a6cb1
- Remove deprecated value used to set nova_metadata_ip (rhbz#1708170)

* Wed May 08 2019 Yogananth subramanian <ysubrama@redhat.com> 9.3.1-0.20190314162767.d0a6cb1
- Provide option to disable EMC in puppet-vswitch (rhbz#1701940)

* Mon May 06 2019 Pablo Caruana <pcaruana@redhat.com> 9.3.1-0.20190314162766.d0a6cb1
- ceilometer_agent_notification: disable-panko.yaml (rhbz#1701360)
- Add parameter to configure maxdelay in db purge/archive job (rhbz#1706774)
- Allow ssh from all for undercloud (rhbz#1704592)
- implement default ssh-from-ctlplane rule via hiera (rhbz#1704592)

* Tue Apr 30 2019 Piotr Kopec <pkopec@redhat.com> 9.3.1-0.20190314162765.d0a6cb1
- Allow NovaNfs parameters to be role specific (rhbz#1704640)

* Mon Apr 29 2019 Martin Schuppert <mschuppert@redhat.com> 9.3.1-0.20190314162764.d0a6cb1
- Run nova_cell_v2_discover_hosts.py on every deploy run (rhbz#1700876)
- Run nova-manage as root to prevent wrong nova-manage.log permissions (rhbz#1685506)

* Fri Apr 26 2019 Martin Schuppert <mschuppert@redhat.com> 9.3.1-0.20190314162763.d0a6cb1
- fix storage.yaml to write environments/storage/nova-nfs.yaml (rhbz#1701284)

* Fri Apr 26 2019 Martin Schuppert <mschuppert@redhat.com> 9.3.1-0.20190314162762.d0a6cb1
- Avoid concurrent nova cell_v2 discovery instances (rhbz#1700876)
- Remove UndercloudCtlplaneSubnets defaults in UC env (rhbz#1690177)

* Wed Apr 24 2019 Piotr Kopec <pkopec@redhat.com> 9.3.1-0.20190314162761.d0a6cb1
- Add missing TLS configuration for ironic (rhbz#1693898)
- Allow NovaRbdPoolName to be role specific (rhbz#1701414)

* Tue Apr 23 2019 Alan Bishop <abishop@redhat.com> 9.3.1-0.20190314162760
- Fixed wrong cinder store user name (rhbz#1693307)

* Thu Apr 18 2019 John Fulton <fulton@redhat.com> 9.3.1-0.20190314162759.d0a6cb1
- Add ANSIBLE_GATHER_TIMEOUT=60 to ceph-ansible run (rhbz#1699976)

* Tue Apr 16 2019 Cédric Jeanneret <cjeanner@redhat.com> 9.3.1-0.20190314162758.d0a6cb1
- Correct error catching while in "--check" mode (rhbz#1697507)

* Tue Apr 16 2019 Martin Schuppert <mschuppert@redhat.com> 9.3.1-0.20190314162757.d0a6cb1
- Increase DockerNovaComputeUlimit default value (rhbz#1700252)

* Thu Apr 11 2019 John Fulton <fulton@redhat.com> 9.3.1-0.20190314162756.d0a6cb1
- Do not archive ceph-ansible fetch directory if it is empty (rhbz#1697380)

* Thu Apr 11 2019 Cédric Jeanneret <cjeanner@redhat.com> 9.3.1-0.20190314162755.d0a6cb1
- Ensure we get rsyslog state, even in "--check" mode (rhbz#1697507)
- Include python-panko client.

* Mon Apr 08 2019 Kamil Sambor <ksambor@redhat.com> 9.3.1-0.20190314162754.d0a6cb1
- Enable flat network for ovn (rhbz#1696530)

* Tue Apr 02 2019 Cédric Jeanneret <cjeanner@redhat.com> 9.3.1-0.20190314162753.d0a6cb1
- [Rocky-only] Install and configure tmpwatch for log cleanup (rhbz#1695138)

* Tue Apr 02 2019 Rajesh Tailor <ratailor@redhat.com> 9.3.1-0.20190314162752.d0a6cb1
- Remove unused parameter NovaPassword (rhbz#1693563)
- Remove ENV parameters for nova_cell_v2_discover_host.py (rhbz#1693563)

* Mon Apr 01 2019 Thierry Vignaud <tvignaud@redhat.com> 9.3.1-0.20190314162751.d0a6cb1
- rebase over RDO

* Thu Mar 28 2019 Martin Schuppert <mschuppert@redhat.com> 9.2.1-0.20190119154873
- Make nfs version for nova ephemeral storage configurable (rhbz#1691803)

* Wed Mar 27 2019 Alex Schultz <aschultz@redhat.com> 9.2.1-0.20190119154872
- Fix reload notification file (rhbz#1688349)
- Reload rsyslog/cron when we change timezones (rhbz#1688349)
- Adding support of glance cinder store settings (rhbz#1693307)

* Tue Mar 26 2019 Lucas Gomez Martins <lmartins@redhat.com> 9.2.1-0.20190119154871
- OVN: Add VLAN to NeutronNetworkType (rhbz#1673029)

* Tue Mar 26 2019 Rajesh Tailor <ratailor@redhat.com> 9.2.1-0.20190119154870
- Fail to live migration if instance has NUMA topology (rhbz#1660870)

* Fri Mar 22 2019 Piotr Kopec <pkopec@redhat.com> 9.2.1-0.20190119154869
- Run chown for nova log files on every run to fix wrong permissions (rhbz#1685506)

* Wed Mar 20 2019 Damien Ciabrini <dciabrin@redhat.com> 9.2.1-0.20190119154868
- Update manila environment file name in capabilities-map (rhbz#1655224)
- minor update: move VIP before stopping pacemaker on a node (rhbz#1647451)

* Mon Mar 18 2019 Alex Schultz <aschultz@redhat.com> 9.2.1-0.20190119154867
- Make heat yaql limits configurable (rhbz#1678431)
- Refactored configuration options for nova/neutron in manila (rhbz#1668936)

* Wed Mar 13 2019 Martin André <m.andre@redhat.com> 9.2.1-0.20190119154866
- Remove gluster settings from previous deployments on re-deploy (rhbz#1674078)
- Apply changes to cluster using updated inventory (rhbz#1653348)
- Generate post-deployment openshift-ansible inventory (rhbz#1653348)
- Store nodes information in a dict (rhbz#1653348)

* Thu Feb 28 2019 Harry Rybacki <hrybacki@redhat.com> 9.2.1-0.20190119154865
- Move ipa enrollment to host_prep_tasks (rhbz#1659464)

* Thu Feb 28 2019 Grzegorz Grasza <xek@redhat.com> 9.2.1-0.20190119154864
- certmonger: Don't restart haproxy on cert renewal (rhbz#1609025)
- TLS everywhere: Mount the whole /etc/pki/libvirt/ directory in libvirt (rhbz#1609025)
- TLS everywhere: Set post-save command for neutron dhcpd (rhbz#1609025)
- TLS everywhere: Set post-save command for nova-vnc-proxy (rhbz#1609025)
- TLS everywhere: Set post-save command for redis (rhbz#1609025)
- TLS everywhere: Set post-save command for RabbitMQ (rhbz#1609025)
- TLS everywhere: Set post-save command for httpd (rhbz#1609025)
- Reload haproxy when certificate is renewed (rhbz#1609025)

* Wed Feb 27 2019 Rabi Mishra <ramishra@redhat.com> 9.2.1-0.20190119154863
- Remove ties between ceilometer and panko (rhbz#1679774)
- Don't look for primary_role ips in AllNodesValidationConfig (rhbz#1679598)

* Fri Feb 22 2019 Alex Schultz <aschultz@redhat.com> 9.2.1-0.20190119154862
- Handle upper and lower case system uuids (rhbz#1678895)

* Fri Feb 22 2019 Damien Ciabrini <dciabrin@redhat.com> 9.2.1-0.20190119154861.fe11ade
- Ensure we get dedicated logging file for HAProxy (rhbz#1672940)

* Thu Feb 14 2019 Jakub Libosvar <libosvar@redhat.com> 9.2.1-0.20190119154860.fe11ade
- Set Ironic default interface when using networking-ansible (rhbz#1673172)

* Wed Feb 13 2019 Giulio Fidente <gfidente@redhat.com> 9.2.1-0.20190119154859.fe11ade
- Sanitize the uuid string for ceph-ansible (rhbz#1671049)
- Handle case change for dmidecode >= 3.1 in Ceph templates (rhbz#1671049)
- Change NodeDataLookup type from string to json (rhbz#1671049)

* Thu Feb 07 2019 Tom Barron <tpb@dyncloud.net> 9.2.1-0.20190119154858.fe11ade
- Add ContainerImagePrepare service to ControllerStorageNfs role (rhbz#1671253)

* Wed Feb 06 2019 Martin Schuppert <mschuppert@redhat.com> 9.2.1-0.20190119154857.fe11ade
- Catch directories we can not change ownership (rhbz#1672526)
- Run nova_statedir_owner on every run (rhbz#1672526)

* Mon Feb 04 2019 Thierry Vignaud <tvignaud@redhat.com> 9.2.1-0.20190119154856.fe11ade
- rebase over RDO (rhbz#1672243)
- Add VLAN as a supported network type for OVN (rhbz#1661223)

* Tue Jan 29 2019 Daniel Alvarez <dalvarez@redhat.com> 9.0.1-0.20181013060919
- Set the number of RPC workers to 1 for non SRIOV OVN setups (rhbz#1658484)
- Decoupling number of API and RPC workers for neutron-api (rhbz#1658484)

* Tue Jan 29 2019 Martin Magr <mmagr@redhat.com> 9.0.1-0.20181013060918
- Enable ceilometer-agent-compute health check (rhbz#1631705)
- Enable health check for OVN containers (rhbz#1631705)
- Enable fluentd health check (rhbz#1631705)
- Enable health check for Ironic inspector services (rhbz#1631705)
- Enable Sahara API health check (rhbz#1631705)
- Enable neutron-sriov-agent health check (rhbz#1631705)
- Add reflection of RpcPort to health checks (rhbz#1631705)

* Mon Jan 28 2019 Martin Magr <mmagr@redhat.com> 9.0.1-0.20181013060917
- Collectd documentation refactor (rhbz#1543101)
- Fix logging for metrics_qdr (rhbz#1649005)

* Mon Jan 28 2019 Martin Magr <mmagr@redhat.com> 9.0.1-0.20181013060916
- Run collectd socket cleanup on container start (rhbz#1657771)

* Mon Jan 28 2019 Martin Schuppert <mschuppert@redhat.com> 9.0.1-0.20181013060915
- Move [neutron] auth_url to KeystoneV3Internal (rhbz#1663448)

* Fri Jan 25 2019 Emilien Macchi <emilien@redhat.com> 9.0.1-0.20181013060914
- Perform docker reconfiguration on upgrade_tasks. (rhbz#1656546)

* Fri Jan 25 2019 Saravanan KR <skramaja@redhat.com> 9.0.1-0.20181013060913
- Set virt queue size as 1024 for all OVS-DPDK roles (rhbz#1667068)

* Thu Jan 24 2019 Harry Rybacki <hrybacki@redhat.com> 9.0.1-0.20181013060912
- Update kolla_config to deal with keystone fernet key rotation (rhbz#1639493)
- Add role definition for ComputeOvsDpdkSriov role (rhbz#1667068)
- Upload amphora image in RAW format if RBD backend (rhbz#1593341)

* Wed Jan 23 2019 Rajesh Tailor <ratailor@redhat.com> 9.0.1-0.20181013060911
- Remove unused nova packages from host during upgrade and update (rhbz#1663922)

* Mon Jan 21 2019 Harry Rybacki <hrybacki@redhat.com> 9.0.1-0.20181013060910
- Add HorizonSecureCookies to environments/ssl/enable-tls.yaml (rhbz#1667987)
- Configure http/https on OVN Metadata service to talk to Nova (rhbz#1666617)

* Mon Jan 14 2019 Carlos Goncalves <cgoncalves@redhat.com> 9.0.1-0.20181013060909
- Fix typo in octavia upgrade_tasks (rhbz#1664403)
- [downstream only] Remove docker.yaml from being enabled by default (rhbz#1663286)
- Fix misnaming of service in firewall rule (rhbz#1658688)

* Tue Jan 08 2019 Giulio Fidente <gfidente@redhat.com> 9.0.1-0.20181013060908
- Do not dereference .stdout if dmidecode is missing (rhbz#1658014)

* Wed Jan 02 2019 Daniel Alvarez <dalvarez@redhat.com> 9.0.1-0.20181013060907
- ovn-metadata: Fix bug when upgrading (rhbz#1661810)

* Fri Dec 14 2018 Raildo Mascena <rmascena@redhat.com> 9.0.1-0.20181013060906
- Spliting compact services in multiples lines (rhbz#1656124)
- Revert "Force rhsm re-registration during upgrades."
- Force rhsm re-registration during upgrades. (rhbz#1658258)

* Thu Dec 13 2018 Giulio Fidente <gfidente@redhat.com> 9.0.1-0.20181013060905
- Handle missing or bad dmidecode (rhbz#1658014)
- Fix access to /var/lib/haproxy when SELinux is enabled (rhbz#1658027)
- Allow to run docker-puppet.py with SELinux enabled (rhbz#1657078)
- ceilometer: --skip-metering-database is gone (rhbz#1658326)

* Wed Dec 12 2018 Gael Chamoulaud <gchamoul@redhat.com> 9.0.1-0.20181013060904
- mistral-executor: bind-mount undercloud.conf when validations are enabled (rhbz#1643917)
- Let openshift-ansible manage openvswitch (rhbz#1655809)
- Restart openshift master services after stack update (rhbz#1654070)
- Rework the generated openshift-ansible playbook (rhbz#1652406)
- Allow to skip docker reconfiguration during stack update (rhbz#1652406)
- Don't mount data folder
- Delete empty karaf directory on host

* Tue Dec 11 2018 Thierry Vignaud <tvignaud@redhat.com> 9.0.1-0.20181013060903
- Mount puppet-generated directory for tripleo-validations (rhbz#1655491)

* Thu Dec 06 2018 Christian Schwede <cschwede@redhat.com> 9.0.1-0.20181013060901
- Fix Swift S3 API configuration (rhbz#1654394)

* Thu Dec 06 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060900
- Remove openshift-ansible customization (rhbz#1648493)
- Rely on osa defaults for enabled services (rhbz#1655576)
- Allow customization of more openshift-ansible vars (rhbz#1655184)

* Tue Dec 04 2018 Bernard Cafarelli <bcafarel@redhat.com> 9.0.1-0.20181013060899
- neutron-cleanup skips ports marked skip_cleanup=true (rhbz#1649923)
- Add support for configuring ppc64le in ironic (rhbz#1654119)

* Tue Dec 04 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060898
- Set balance to source for openshift_router endpoints (rhbz#1655151)
- Use InternalApi network for openshift_master_cluster_hostname (rhbz#1655123)
- Fix address for glusterfs container images (rhbz#1654257)
- Configure registry to use gluster (rhbz#1651422)
- nova_compute fails to start in tls-everywhere configuration (rhbz#1655676)
- Use correct permission on Gnocchi tmp dir (rhbz#1640021)

* Tue Dec 04 2018 Carlos Goncalves <cgoncalves@redhat.com> 9.0.1-0.20181013060897
- Fix Octavia hieradata keys (rhbz#1653053)

* Tue Dec 04 2018 Jose Luis Franco Arza <jfrancoa@redhat.com> 9.0.1-0.20181013060896
- Invoke redhat-subscription role during upgrade. (rhbz#1653238)

* Thu Nov 29 2018 Martin Schuppert <mschuppert@redhat.com> 9.0.1-0.20181013060895
- Change step to start nova placement and make compute wait for it (rhbz#1652287)

* Wed Nov 28 2018 Martin Schuppert <mschuppert@redhat.com> 9.0.1-0.20181013060894
- Support for libvirt volume multipath (rhbz#1645489)

* Wed Nov 28 2018 Martin Schuppert <mschuppert@redhat.com> 9.0.1-0.20181013060893
- Add customized libvirt-guests unit file to properly shutdown instances (rhbz#1614282)

* Tue Nov 27 2018 Sofer Athlan-Guyot <sathlang@redhat.com> 9.0.1-0.20181013060892
- Fix ansible conditional for ovs upgrade. (rhbz#1628908)
- Revert "[downstream-only] Verify nova api migration finished before start placement" (rhbz#1652287)

* Thu Nov 22 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060891
- Call etcd scaleup playbook when adding master nodes (rhbz#164532)
- Add hosts to expected ansible groups (rhbz#1645323)
- Ensure correct tmp ownership for Gnocchi (rhbz#1640021)

* Tue Nov 20 2018 Bernard Cafarelli <bcafarel@redhat.com> 9.0.1-0.20181013060890
- Handle LP openvswitch meta-package on upgrade (rhbz#1628908)

* Tue Nov 20 2018 Carlos Goncalves <cgoncalves@redhat.com> 9.0.1-0.20181013060889
- Ensure octavia flavor gets configured if composable octavia (rhbz#1637884)

* Tue Nov 20 2018 Cédric Jeanneret <cjeanner@redhat.com> 9.0.1-0.20181013060888
- ceph: allow curl tasks to run in dry run mode (rhbz#1651123)

* Mon Nov 19 2018 Cédric Jeanneret <cjeanner@redhat.com> 9.0.1-0.20181013060887
- Honor --skip-deploy-identifier in common deploy tasks for updates (rhbz#1636548)

* Sun Nov 18 2018 Nir Magnezi <nmagnezi@redhat.com> 9.0.1-0.20181013060886
- Move set of database_connection to OctaviaBase (rhbz#1638296)

* Fri Nov 16 2018 Alan Bishop <abishop@redhat.com> 9.0.1-0.20181013060885
- Configure cinder's access to the nova API (rhbz#1640443)
- Do not purge the Ironic Inspector dhcp-hostsdir (rhbz#1633746)

* Thu Nov 15 2018 Victor Pickard <vpickard@redhat.com> 9.0.1-0.20181013060884
- Change log directory for OpenDaylight (rhbz#1641604)

* Thu Nov 15 2018 Carlos Goncalves <cgoncalves@redhat.com> 9.0.1-0.20181013060883
- [DOWNSTREAM ONLY] Revert "Mount /usr/share/ceph-ansible into mistral-executor" (rhbz#1640024)

* Wed Nov 14 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060882
- Make openshift-master service idempotent (rhbz#1624081)
- Do not include node scale up playbook in case of new masters (rhbz#1643308)
- Fix new node detection (rhbz#1643308)
- Set correct project name for designate-neutron integration (rhbz#1603440)
- Add /v2 suffix to Designate uris (rhbz#1603440)
- Split designate envs (rhbz#1603440)
- Add sample designate environment for ha (rhbz#1603440)
- Don't configure BIND to listen on localhost (rhbz#1603440)
- Pass in rndc key to Designate deployment (rhbz#1603440)
- Open designate-mdns ports in firewall (rhbz#1603440)
- Run designate pool update only on bootstrap node (rhbz#1603440)
- Configure rndc to listen on internal_api network (rhbz#1603440)
- Enable configuration of Designate's pools.yaml (rhbz#1603440)

* Mon Nov 12 2018 Nir Magnezi <nmagnezi@redhat.com> 9.0.1-0.20181013060881
- Pass parameters for TLS proxy in front of Octavia-API (rhbz#1635341)

* Sun Nov 11 2018 Nir Magnezi <nmagnezi@redhat.com> 9.0.1-0.20181013060880
- Add posibilities to set default timeouts for octavia (rhbz#1636498)

* Thu Nov 08 2018 Christophe Fontaine <cfontain@redhat.com> 9.0.1-0.20181013060879
- Fix NeutronSriovHostConfig path for ODL deployment with SRIOV (rhbz#1642313)

* Thu Nov 08 2018 Christian Schwede <cschwede@redhat.com> 9.0.1-0.20181013060878
- Check if source directory does exist before linking (rhbz#1643757)

* Thu Nov 08 2018 Carlos Goncalves <cgoncalves@redhat.com> 9.0.1-0.20181013060877
- Mount /usr/share/openstack-octavia-amphora-images into mistral-executor (rhbz#1640024)

* Thu Nov 08 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060876
- Remove unused networks from OpenShift roles (rhbz#1634189)
- Add network data for use with openshift deployments (rhbz#1636607)
- Update to OpenShift 3.11 release (rhbz#1638797)

* Wed Nov 07 2018 Sofer Athlan-Guyot <sathlang@redhat.com> 9.0.1-0.20181013060875
- Enable _member_ role for undercloud install. (rhbz#1637988)

* Wed Nov 07 2018 Thomas Herve <therve@redhat.com> 9.0.1-0.20181013060874
- Remove non-container zaqar-server on upgrade (rhbz#1638313)
- Fix IHA with the new region_name key (rhbz#1640472)

* Tue Nov 06 2018 Martin Schuppert <mschuppert@redhat.com> 9.0.1-0.20181013060873
- Fix novajoin nova vendordata hieradata keys (rhbz#1643386)
- Revert "[downstream-only] Fix novajoin nova vendordata hieradata keys"

* Fri Nov 02 2018 Bob Fournier <bfournie@redhat.com> 9.0.1-0.20181013060872
- Create default deployment plan
- Fix error in Tenant network routes definition (rhbz#1636671)
- Merge new params - nic-config templates (rhbz#1623007)
- Add tripleo-heat-templates dir to Mistral volumes

* Fri Nov 02 2018 Carlos Goncalves <cgoncalves@redhat.com> 9.0.1-0.20181013060871.ffbe879
- Add OpenStack clients service (rhbz#1623387)
- Remove NeutronServicePlugins from octavia environment files (rhbz#1642390)

* Wed Oct 31 2018 Your Name <you@example.com> 9.0.1-0.20181013060870.ffbe879
- [DOWNSTREAM ONLY] Ensure unique containers names in docker-puppet (rhbz#1641568)

* Tue Oct 30 2018 James Slagle <jslagle@redhat.com> 9.0.1-0.20181013060869.ffbe879
- [downstream-only] Fix novajoin nova vendordata hieradata keys (rhbz#1643386)
- Set octavia log directory permissions to octavia user (rhbz#1637657)

* Tue Oct 30 2018 Alan Bishop <abishop@redhat.com> 9.0.1-0.20181013060868
- Recreate cinder LVM loopback device on startup (rhbz#1638922)

* Fri Oct 26 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060867.ffbe879
- Pass image import conf file to command which runs glance server (rhbz#1546920)
- [DOWNSTREAM ONLY] Deploy openshift-enterprise by default (rhbz#1637710)
- Parametrize OpenShift deployment type (rhbz#1637710)
- Skip hosts group in ceph-ansible inventory when all are blacklisted (rhbz#1639038)

* Fri Oct 26 2018 Martin Schuppert <mschuppert@redhat.com> 9.0.1-0.20181013060866.ffbe879
- [downstream-only] Verify nova api migration finished before start placement (rhbz#1636399)

* Thu Oct 25 2018 Jiri Stransky <jistr@redhat.com> 9.0.1-0.20181013060865.ffbe879
- Fix cinder_api_apache error during upgrade. (rhbz#1638448)
- Run online migrations via "external-upgrade run" (rhbz#1638448)
- Introduce proper steps to external update/upgrade tasks (rhbz#1638448)
- Change Swift storage directory to /srv/node/d1 (rhbz#1638363)
- Disable non-containerized Swift services (rhbz#1638311)
- Set horizon's help_url to downstream documentation (rhbz#1639407)

* Tue Oct 23 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060864.ffbe879
- Do not wipe disks on OpenShift gluster nodes (rhbz#1642100)
- Set openshift_docker_insecure_registries (rhbz#1635010)
- Do not modify imagestreams (rhbz#1632414)
- Let openshift-ansible configure the firewall (rhbz#1642097)

* Tue Oct 23 2018 Martin Schuppert <mschuppert@redhat.com> 9.0.1-0.20181013060863.ffbe879
- Use nova_api DB for [placement_database] -> connection (rhbz#1637972)

* Mon Oct 22 2018 Martin André <m.andre@redhat.com> 9.0.1-0.20181013060862.ffbe879
- Add OS::TripleO::Services::Rhsm to OpenShift roles (rhbz#1632953)
- Use different base virtual_router_id on openshift (rhbz#1630485)

* Fri Oct 19 2018 James Slagle <jslagle@redhat.com> 9.0.1-0.20181013060861.ffbe879
- Add OS::TripleO::Services::ContainerImagePrepare to ControllerOpenStack (rhbz#1640813)
- [Rocky ONLY] Fix haproxy cert inject for check mode (rhbz#1640698)

* Thu Oct 18 2018 Cédric Jeanneret <cjeanner@redhat.com> 9.0.1-0.20181013060860.ffbe879
- Apply variable to task not the block (rhbz#1640186)
- Fix update tasks for openshift (rhbz#1624081)
- Use openshift-ansible container instead of RPMs (rhbz#1609309)
- Ensure the needed openshift resources are set (rhbz#1635815)
- Use glusterfs for registry when deploying with CNS (rhbz#1635848)
- Deploy openshift all in one in scenario009

* Wed Oct 17 2018 Thierry Vignaud <tvignaud@redhat.com> 9.0.1-0.20181013060859.ffbe879
- Honor --skip-deploy-identifier in common deploy tasks (rhbz#1636548)
- Mount /usr/share/ceph-ansible into mistral-executor (rhbz#1632139)
- Fix haproxy cert inject for check mode (rhbz#1634750)
- Add OctaviaEventStreamerDriver and change default (rhbz#1624037)
- Fix tasks in check mode
- Name unnamed tasks
- check mode: paunch configs
- check mode: docker_puppet_tasks
- check mode: docker_puppet
- check mode: puppet host
- Convert with_dict tasks to use loop and be less chatty
- Simplify ssh known_hosts entries for non-default port (rhbz#1623159)
- Include ssh known_hosts entries for non-default port (rhbz#1623159)
- Missing docker.yaml and docker-ha.yaml default [Downstream Only] (rhbz#1609635)
- Default to docker.yaml and docker-ha.yaml (rhbz#1579361)
- [downstream-only] Clean up Ceph OSD product key (rhbz#1500594)
- [downstream only] Keep existing Compute hostname. (rhbz#1563866)
- [DOWNSTREAM-ONLY]Disabling horizon plugins we don't ship (rhbz#1514412)
- [Downstream-only] Default plugins list for Sahara (rhbz#1351996)

